Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.util
Class EepPost

    java.lang.Object
      net.i2p.util.EepPost

Deprecated. unused

    public class EepPost

extends Object

Simple helper for uploading files and such via HTTP POST (rfc 1867)

Constructor Summary
`EepPost()` Deprecated.
`EepPost(I2PAppContext ctx)` Deprecated.

Method Summary
`void` | `postFiles(String url, String proxyHost, int proxyPort, Map fields, Runnable onCompletion)` Deprecated. Submit an HTTP POST to the given URL (using the proxy if specified), uploading the given fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EepPost

    public EepPost()

  Deprecated.

### EepPost

    public EepPost(I2PAppContext ctx)

  Deprecated.

Method Detail

### postFiles

    public void postFiles(String url,
                          String proxyHost,
                          int proxyPort,
                          Map fields,
                          Runnable onCompletion)

  Deprecated.
  Submit an HTTP POST to the given URL (using the proxy if specified), uploading the given fields. If the field's value is a File object, then that file is uploaded, and if the field's value is a String object, the value is posted for that particular field. Multiple values for one field name is not currently supported.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD